Subject: Re: bug#1529: 23.0.60; Recursive load: tramp.elc

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 11 Dec 2008 17:18:41 +1100

On Thu, Dec 11, 2008 at 07:01:01AM +0100, Michael Albinus wrote:
> [email-masked] writes:
> 
> > I get this sometimes, and it's bloody annoying, because once I get it
> > I don't know how to actually use tramp without restarting Emacs.
> >
> > Loading tramp...
> > require: Recursive load: "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc"
> 
> How do you load Tramp in your .emacs? Does it happen also, when you start
> "emacs -Q"?

I don't load tramp in my .emacs.  I can't reproduce this just by
starting a new Emacs, either with or without -Q -- it's something that
seems to happen only when there's some additional condition that I
rarely trigger.

To give a completely unfounded example, it might only happen if Emacs
is started indirectly by emacsclient, and then later I try to use
ido-find-file.

As far as I can remember, the error itself is always triggered when
using ido-find-file, and not when e.g. clicking on a file in dired.